import request from '@/utils/request';

const upload = (file, fileType = 'image') => {
  const formData = new FormData();
  formData.append("file", file);
  formData.append("fileType", fileType);

  return request('/api/admin/file', {
    method: 'post',
    data: formData,
    headers: {
      'Content-Type': 'multipart/form-data',
    }
  });
}

/**
 * 上传文件
 * @returns 
 */
export function uploadFile(params) {
  const { file, onSuccess, onError } = params;
  upload(file).then((res) => {
    onSuccess(res, file)
  }).catch((e) => {
    onError(e)
  });

  return {
    abort: () => {},
  };
}
