import React from "react";
import { Layout } from "antd";
import { useLocation, Outlet, useNavigate } from "react-router-dom";
import { useModel } from "@/store";
import useRoute from "@/routes/hooks/useRoute";
import SiderBar from "./components/SiderBar";
import Header from "./components/Header";
import Container from "./components/Container";
import { authRoutes } from "@/routes/routes";
import { getMenuItems } from "@/routes/menus";

import "./style.less";

export default (props) => {
  const { theme } = useModel("system");
  const { user } = useModel("user");
  const navigate = useNavigate();
  const location = useLocation();
  const menus = getMenuItems(authRoutes);


  return (
    <Layout className={theme} style={{ height: "100vh" }}>
      <Header theme={theme} user={user} />
      <Layout style={{ height: "calc(100vh - var(--header-height))" }}>
        <SiderBar theme={theme} menus={menus} location={location} />
        <Container location={location} />
      </Layout>
    </Layout>
  );
};
