import React from 'react';
import { Layout } from 'antd';
import { Outlet } from "react-router-dom";
import PageTransition from './PageTransition';
import Footer from './Footer';

const { Content } = Layout;
const marginSpace = 24;

export default (props) => {
  const { noFooter } = props;
  const footerRef = React.useRef();
  const [height, setHeight] = React.useState(`calc(100% - ${marginSpace * 2}px`);

  React.useEffect(() => {
    if (footerRef.current) {
      setHeight(`calc(100% - ${footerRef.current.offsetHeight + marginSpace * 2}px)`);
    }
  }, [noFooter])

  return (
    <div className='layout-container'>
      <Content style={{ minHeight: height, margin: `0 ${marginSpace}px` }}>
        <PageTransition location={props.location}>
          <Outlet />
        </PageTransition>
      </Content>
      <Footer ref={footerRef} />
    </div>
  )
}
