import React from "react";
import { Spin, Layout } from "antd";
import HtmlTitle from "./components/HtmlTitle";
// import Main from './Main';
import withLogin from "./withLogin";
import { useLocation, useNavigate } from "react-router-dom";
import { useModel } from "@/store";

import SiderBar from "./components/SiderBar";
import Header from "./components/Header";
import Container from "./components/Container";
import { authRoutes } from "@/routes/routes";
import { getMenuItems } from "@/routes/menus";
import RequireLogin from "./RequireLogin";
import "./style.less";

const Spinner = () => (
  <div
    style={{
      width: "100%",
      height: "100%",
      display: "grid",
      placeItems: "center",
    }}
  >
    <Spin />
  </div>
);

export default (props) => {
  const { theme } = useModel("system");
  const { user, menus } = useModel("user");
  const navigate = useNavigate();
  const location = useLocation();
  // const menus = getMenuItems(authRoutes);
  // const RequireLogin = React.lazy(() => {
  //   return withLogin(import("./Main"));
  // });
  console.log('menus', menus);
  console.log(user);
  return (
    <Spin spinning={!user} size="large">
      <HtmlTitle />
      {/* <React.Suspense fallback={<Spinner />}> */}
      <RequireLogin>
        <Layout className={theme} style={{ height: "100vh" }}>
          <Header theme={theme} user={user} />
          <Layout style={{ height: "calc(100vh - var(--header-height))" }}>
            <SiderBar theme={theme} menus={menus} location={location} />
            <Container location={location} />
          </Layout>
        </Layout>
      </RequireLogin>
      {/* </React.Suspense> */}
    </Spin>
  );
};
