import React from "react";
import store from "@/store";

export default function withLogin (factory) {
  return new Promise((resolve) => {
    // console.log('------factory------>', factory)
    const { user, getCurrentUser } = store.getState("user");
    const loged = user && (user.userId || user.id);
    // console.log('------loged------>', loged)
    if (loged) {
      resolve(factory);
    } else {
      let ticket = undefined;
      const match = window.location?.href?.match(/ticket=([^?&/]*)/);
      if (match?.length > 0) {
        ticket = match[1];
      }

      getCurrentUser({ ticket: ticket })
        .then(() => {
          resolve(factory);
        })
        .catch((e) => {
          console.error(e);
          resolve(import("./RedirectLogin"));
        });
      // resolve(import("./RedirectLogin"));
    }
  });
}
