import React, { useEffect } from "react";
import { Button, message } from "antd";
import { Helmet } from "react-helmet";
import { useNavigate, useSearchParams } from "react-router-dom";
import { useModel } from "@/store";
import LoginForm from "./LoginForm";
import LoginQrCode from "./components/LoginQrCode";
// import LoginEffect from "./Effect";
import "./style.less";

const year = new Date().getFullYear();

export default (props) => {
  const { app } = useModel("system");
  const navigate = useNavigate();
  const [searchParams] = useSearchParams();

  const baseUrl = import.meta.env.BASE_URL;
  const copyright = `${app.company} @ ${year}`;

  const onChangeType = () => {
    setLoginType(loginType == 0 ? 1 : 0);
  };

  const onSuccess = (row) => {
    try {
      navigate("/custom");
    } catch (e) {
      message.error(e);
    }
  };

  return (
    <div className="login-page">
      <Helmet>
        <title>{app.fullName}</title>
      </Helmet>
      <div id="particles-js"></div>
      <div className="login-page-container">
        <div className="login-card">
          {/* <div className="login-card-left">
            <div className="login-form-box">
            </div>
            <div className="login-copyright">{copyright}</div>
          </div> */}
          <div className="login-card-right">
            {/* <div className="border-left"></div> */}
            <div className="login-form-box">
              <div className="login-form">
                <h2>
                  <span>密码登录</span>
                </h2>
                <LoginForm onSuccess={onSuccess} />
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  );
};
