
export const getAuthedRoutes = (routes, permissions) => {
  if (!routes || routes.length < 1) return [];

  return routes.map(route => {
    if (route.meta && route.meta.permission && permissions.indexOf(route.meta.permission) < 0) return false;

    if (route.children) {
      route.children = getAuthedRoutes(route.children, permissions);
    }

    return route;
  }).filter(Boolean);
}
