
// 获取组件路径
export function getPath (parent = "/", current = "") {
  if (current.indexOf("/") === 0 || current.indexOf("http") === 0)
    return current;
  return `${parent}/${current}`.replace(/\/\//g, "/");
}

// 展平 routes, 为一个简单对象
// 如果出现 父组件与子组件相同路由, 那么子组件会覆盖父组件
export function flatten (routes, parentPath = "/") {
  return routes.reduce((acc, route) => {
    const path = route.index ? parentPath : getPath(parentPath, route.path);
    const children = route.children ? flatten(route.children, path) : {};

    return {
      ...acc,
      [path]: route,
      ...children,
    }
  }, {});
};